title: CSS Preprocessing | A Night Full of Sass
{{_header.md}}

# CSS Preprocessing

## Variables

``` prettyprint linenums
$color: #000088;
```

## Functions

``` prettyprint linenums:2
@function awesome-shade($color) { 
  @return desaturate(lighten($var, 20%), 5%); 
}
```

## Mixins
``` prettyprint linenums:5
@mixin awesome-color { 
  color: awesome-shade($color); 
}
```

{{_footer.md}}